Browse Source

BUILDS: Overhaul build process

- Move shell scripts to Makefile
- Build for multiple architectures
- Simplify release process
Tom Denham 8 years ago
parent
commit
a8972ad5cd
16 changed files with 188 additions and 1974 deletions
  1. 5 0
      .dockerignore
  2. 8 3
      .gitignore
  3. 9 0
      Dockerfile.amd64
  4. 8 0
      Dockerfile.arm
  5. 9 0
      Dockerfile.arm64
  6. 9 0
      Dockerfile.ppc64le
  7. 122 30
      Makefile
  8. 9 0
      README.md
  9. 0 18
      dist/README.md
  10. 0 24
      dist/build-aci.sh
  11. 0 31
      dist/build-docker.sh
  12. 0 34
      dist/build-release.sh
  13. 0 38
      dist/bump-release.sh
  14. 0 1786
      dist/flannelbox.config
  15. 0 10
      dist/publish.sh
  16. 9 0
      license-check.sh

+ 5 - 0
.dockerignore

@@ -0,0 +1,5 @@
+dist/*.aci
+dist/*.docker
+dist/*.tar.gz
+.git
+vendor

+ 8 - 3
.gitignore

@@ -1,4 +1,9 @@
-flannel
-coverage
-bin
+dist/*.tar.gz
+dist/flanneld*
+dist/iptables-*
+dist/*.aci
+dist/*.docker
 cover.out
+.editorconfig
+.idea/
+

+ 9 - 0
Dockerfile.amd64

@@ -0,0 +1,9 @@
+FROM busybox:1.25.0-glibc
+
+MAINTAINER Tom Denham <tom@tigera.io>
+
+COPY dist/flanneld-amd64 /opt/bin/flanneld
+COPY dist/iptables-amd64 /usr/local/bin/iptables
+COPY dist/mk-docker-opts.sh /opt/bin/
+CMD ["/opt/bin/flanneld"]
+

+ 8 - 0
Dockerfile.arm

@@ -0,0 +1,8 @@
+FROM armel/busybox:glibc
+
+MAINTAINER Tom Denham <tom@tigera.io>
+
+COPY dist/flanneld-arm /opt/bin/flanneld
+COPY dist/iptables-arm /usr/local/bin/iptables
+COPY dist/mk-docker-opts.sh /opt/bin/
+CMD ["/opt/bin/flanneld"]

+ 9 - 0
Dockerfile.arm64

@@ -0,0 +1,9 @@
+FROM aarch64/busybox:glibc
+
+MAINTAINER Tom Denham <tom@tigera.io>
+
+COPY dist/flanneld-arm64 /opt/bin/flanneld
+COPY dist/iptables-arm64 /usr/local/bin/iptables
+COPY dist/mk-docker-opts.sh /opt/bin/
+CMD ["/opt/bin/flanneld"]
+

+ 9 - 0
Dockerfile.ppc64le

@@ -0,0 +1,9 @@
+FROM ppc64le/busybox:glibc
+
+MAINTAINER Tom Denham <tom@tigera.io>
+
+COPY dist/flanneld-ppc64le /opt/bin/flanneld
+COPY dist/iptables-ppc64le /usr/local/bin/iptables
+COPY dist/mk-docker-opts.sh /opt/bin/
+CMD ["/opt/bin/flanneld"]
+

+ 122 - 30
Makefile

@@ -1,7 +1,11 @@
-.PHONY: all test cover gofmt gofmt-fix license-check
+.PHONY: test cover gofmt gofmt-fix license-check clean tar.gz docker-push release docker-push-all
 
-# Grab the absolute directory that contains this file.
-ROOT_DIR:=$(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
+# Registry used for publishing images
+REGISTRY?=quay.io/coreos
+
+# Default tag and architecture. Can be overridden
+TAG?=$(shell git describe --tags --dirty)
+ARCH?=amd64
 
 # These variables can be overridden by setting an environment variable.
 TEST_PACKAGES?=pkg/ip subnet remote
@@ -9,47 +13,135 @@ TEST_PACKAGES_EXPANDED=$(TEST_PACKAGES:%=github.com/coreos/flannel/%)
 PACKAGES?=$(TEST_PACKAGES) network
 PACKAGES_EXPANDED=$(PACKAGES:%=github.com/coreos/flannel/%)
 
-default: help
-all: test				    ## Run all the tests
-binary: artifacts/flanneld  ## Create the flanneld binary
+# Set the (cross) compiler to use for different architectures
+ifeq ($(ARCH),amd64)
+	CC=gcc
+endif
+ifeq ($(ARCH),arm)
+	CC=arm-linux-gnueabi-gcc
+endif
+ifeq ($(ARCH),arm64)
+	CC=aarch64-linux-gnu-gcc
+endif
+ifeq ($(ARCH),ppc64le)
+	CC=powerpc64le-linux-gnu-gcc
+endif
+GOARM=6
+KUBE_CROSS_TAG=v1.6.2-2
+IPTABLES_VERSION=1.4.21
 
-artifacts/flanneld: $(shell find . -type f  -name '*.go')
-	mkdir -p artifacts
-	go build -o artifacts/flanneld \
-	  -ldflags "-extldflags -static -X github.com/coreos/flannel/version.Version=$(shell git describe --dirty)"
+dist/flanneld: $(shell find . -type f  -name '*.go')
+	go build -o dist/flanneld \
+	  -ldflags "-extldflags -static -X github.com/coreos/flannel/version.Version=$(TAG)"
 
-test:
+test: license-check gofmt
 	go test -cover $(TEST_PACKAGES_EXPANDED)
 	cd dist; ./mk-docker-opts_tests.sh
 
 cover:
-	#A single package must be given - e.g. 'PACKAGES=pkg/ip make cover'
+	# A single package must be given - e.g. 'PACKAGES=pkg/ip make cover'
 	go test -coverprofile cover.out $(PACKAGES_EXPANDED)
 	go tool cover -html=cover.out
 
-
 # Throw an error if gofmt finds problems.
 # "read" will return a failure return code if there is no output. This is inverted wth the "!"
 gofmt:
-	! gofmt -d $(PACKAGES) 2>&1 | read
+	bash -c '! gofmt -d $(PACKAGES) 2>&1 | read'
 
 gofmt-fix:
 	gofmt -w $(PACKAGES)
 
 license-check:
-	dist/license-check.sh
-
-## Display this help text
-help: # Some kind of magic from https://gist.github.com/rcmachado/af3db315e31383502660
-	$(info Available targets)
-	@awk '/^[a-zA-Z\-\_0-9]+:/ {								   \
-		nb = sub( /^## /, "", helpMsg );							 \
-		if(nb == 0) {												\
-			helpMsg = $$0;											 \
-			nb = sub( /^[^:]*:.* ## /, "", helpMsg );				  \
-		}															\
-		if (nb)													  \
-			printf "\033[1;31m%-" width "s\033[0m %s\n", $$1, helpMsg; \
-	}															  \
-	{ helpMsg = $$0 }'											 \
-	$(MAKEFILE_LIST)
+	./license-check.sh
+
+clean:
+	rm -f dist/flanneld*
+	rm -f dist/iptables*
+	rm -f dist/*.aci
+	rm -f dist/*.docker
+	rm -f dist/*.tar.gz
+
+## Create a docker image on disk for a specific arch and tag
+dist/flanneld-$(ARCH)-$(TAG).docker: dist/flanneld-$(ARCH) dist/iptables-$(ARCH)
+	docker build -f Dockerfile.$(ARCH) -t $(REGISTRY)/flannel-$(ARCH):$(TAG) .
+	docker save -o dist/flanneld-$(ARCH)-$(TAG).docker $(REGISTRY)/flannel-$(ARCH):$(TAG)
+
+# amd64 gets an image with the suffix too (i.e. it's the default)
+ifeq ($(ARCH),amd64)
+	docker build -f Dockerfile.$(ARCH) -t $(REGISTRY)/flannel:$(TAG) .
+endif
+
+## Create an ACI on disk for a specific arch and tag
+dist/flanneld-$(ARCH)-$(TAG).aci: dist/flanneld-$(ARCH)-$(TAG).docker
+	docker2aci dist/flanneld-$(ARCH)-$(TAG).docker
+	mv quay.io-coreos-flannel-$(ARCH)-$(TAG).aci dist/flanneld-$(ARCH)-$(TAG).aci
+	actool patch-manifest --replace --capability=CAP_NET_ADMIN \
+      --mounts=run-flannel,path=/run/flannel,readOnly=false:etc-ssl-etcd,path=/etc/ssl/etcd,readOnly=true:dev-net,path=/dev/net,readOnly=false \
+      dist/flanneld-$(ARCH)-$(TAG).aci
+
+docker-push: dist/flanneld-$(ARCH)-$(TAG).docker
+	docker push $(REGISTRY)/flannel-$(ARCH):$(TAG)
+
+# amd64 gets an image with the suffix too (i.e. it's the default)
+ifeq ($(ARCH),amd64)
+	docker push $(REGISTRY)/flannel:$(TAG)
+endif
+
+## Build an architecture specific static flanneld binary
+dist/flanneld-$(ARCH):
+	# Build for other platforms with ARCH=$ARCH make build
+	# valid values for $ARCH are [amd64 arm arm64 ppc64le]
+	docker run -e CC=$(CC) -e GOARM=$(GOARM) -e GOARCH=$(ARCH) -it \
+		-u $(shell id -u):$(shell id -u) \
+	    -v ${PWD}:/go/src/github.com/coreos/flannel:ro \
+        -v ${PWD}/dist:/go/src/github.com/coreos/flannel/dist \
+	    gcr.io/google_containers/kube-cross:$(KUBE_CROSS_TAG) /bin/bash -c '\
+		cd /go/src/github.com/coreos/flannel && \
+		CGO_ENABLED=1 make -e dist/flanneld && \
+		mv dist/flanneld dist/flanneld-$(ARCH) && \
+		file dist/flanneld-$(ARCH)'
+
+## Build an architecture specific iptables binary
+dist/iptables-$(ARCH):
+	docker run -e CC=$(CC) -e GOARM=$(GOARM) -e GOARCH=$(ARCH) -it \
+			-u $(shell id -u):$(shell id -u) \
+            -v ${PWD}:/go/src/github.com/coreos/flannel:ro \
+            -v ${PWD}/dist:/go/src/github.com/coreos/flannel/dist \
+            gcr.io/google_containers/kube-cross:$(KUBE_CROSS_TAG) /bin/bash -c '\
+            curl -sSL http://www.netfilter.org/projects/iptables/files/iptables-$(IPTABLES_VERSION).tar.bz2 | tar -jxv && \
+            cd iptables-$(IPTABLES_VERSION) && \
+            ./configure \
+                --prefix=/usr \
+                --mandir=/usr/man \
+                --disable-shared \
+                --disable-devel \
+                --disable-nftables \
+                --enable-static \
+                --host=amd64 && \
+            make && \
+            cp iptables/xtables-multi /go/src/github.com/coreos/flannel/dist/iptables-$(ARCH) && \
+            cd /go/src/github.com/coreos/flannel && \
+            file dist/iptables-$(ARCH)'
+
+## Build a .tar.gz for the amd64 flanneld binary
+tar.gz: dist/flannel-$(TAG)-linux-amd64.tar.gz
+dist/flannel-$(TAG)-linux-amd64.tar.gz:
+	ARCH=amd64 make dist/flanneld-amd64
+	tar --transform='flags=r;s|-amd64||' -cvf dist/flannel-$(TAG)-linux-amd64.tar.gz -C dist flanneld-amd64 mk-docker-opts.sh ../README.md
+	tar -tvf dist/flannel-$(TAG)-linux-amd64.tar.gz
+
+## Make a release after creating a tag
+release: dist/flannel-$(TAG)-linux-amd64.tar.gz
+	ARCH=amd64 make dist/flanneld-amd64-$(TAG).aci
+	ARCH=arm make dist/flanneld-arm-$(TAG).aci
+	ARCH=arm64 make dist/flanneld-arm64-$(TAG).aci
+	ARCH=ppc64le make dist/flanneld-ppc64le-$(TAG).aci
+	@echo "Everything should be built for $(TAG)"
+	@echo "Add all *.aci, flanneld-* and *.tar.gz files from dist/ to the Github release"
+	@echo "Use make docker-push-all to push the images to a registry"
+
+docker-push-all:
+	ARCH=amd64 make docker-push
+	ARCH=arm make docker-push
+	ARCH=arm64 make docker-push
+	ARCH=ppc64le make docker-push

+ 9 - 0
README.md

@@ -236,3 +236,12 @@ Vagrant has a tendency to give the default interface (one with the default route
 This causes flannel to register multiple nodes with the same IP.
 To work around this issue, use `--iface` option to specify the interface that has a unique IP.
 If you're running on CoreOS, use cloud-config to set `coreos.flannel.interface` to `$public_ipv4`.
+
+
+# Release Process
+* Create a release on Github and use it to create a tag
+* Check the tag out and run
+  * `make release`
+* Attach all the files in `dist` to the Github release
+* Run `make docker-push-all` to push all the images to a registry
+

+ 0 - 18
dist/README.md

@@ -1,18 +0,0 @@
-## Doing a release
-
-To do a release, e.g. version 0.5.0, do the following steps.
-This assumes that the remote that's hosting the project (i.e. https://github.com/coreos/flannel) is named "upstream".
-
-```
-VER=0.5.0
-cd ./dist`
-
-# Make two commits: v0.5.0 and v0.5.0+git; create a tag v0.5.0; push commits and tags to $ORIGIN
-ORIGIN=upstream ./bump-release.sh $VER
-
-# Build docker, ACI images and tarball
-./build-release.sh $VER
-
-# Publish to quay.io (credentials required)
-./publish.sh $VER
-```

+ 0 - 24
dist/build-aci.sh

@@ -1,24 +0,0 @@
-#!/bin/bash
-set -e
-
-if [ $# -ne 1 ]; then
-	echo "Usage: $0 tag" >/dev/stderr
-	exit 1
-fi
-
-tag=$1
-
-tgt=$(mktemp -d)
-
-./build-docker.sh $tag
-
-docker save -o ${tgt}/flannel-${tag}.docker quay.io/coreos/flannel:${tag}
-docker2aci ${tgt}/flannel-${tag}.docker
-
-VOL1=run-flannel,path=/run/flannel,readOnly=false
-VOL2=etc-ssl-etcd,path=/etc/ssl/etcd,readOnly=true
-VOL3=dev-net,path=/dev/net,readOnly=false
-actool patch-manifest --replace --capability=CAP_NET_ADMIN --mounts=${VOL1}:${VOL2}:${VOL3} quay.io-coreos-flannel-${tag}.aci
-
-# Cleanup
-rm -rf $tgt

+ 0 - 31
dist/build-docker.sh

@@ -1,31 +0,0 @@
-#!/bin/bash
-set -e
-
-if [ $# -ne 1 ]; then
-	echo "Usage: $0 tag" >/dev/stderr
-	exit 1
-fi
-
-tag=$1
-
-tgt=$(mktemp -d)
-
-# Build flannel inside 
-docker run -v `pwd`/../:/opt/flannel -i -t golang:1.4.2 /bin/bash -c "cd /opt/flannel && ./build"
-
-# Generate Dockerfile into target tmp dir
-cat <<DF >${tgt}/Dockerfile
-FROM quay.io/coreos/flannelbox:1.0
-MAINTAINER Eugene Yakubovich <eugene.yakubovich@coreos.com>
-ADD ./flanneld /opt/bin/
-ADD ./mk-docker-opts.sh /opt/bin/
-CMD /opt/bin/flanneld
-DF
-
-# Copy artifcats into target dir and build the image
-cp ../bin/flanneld $tgt
-cp ./mk-docker-opts.sh $tgt
-docker build -t quay.io/coreos/flannel:${tag} $tgt
-
-# Cleanup
-rm -rf $tgt

+ 0 - 34
dist/build-release.sh

@@ -1,34 +0,0 @@
-#!/bin/bash -e
-
-function usage {
-	echo "Usage: $0 <version>"
-	exit 1
-}
-
-function package_tarball {
-	builddir="flannel-$VER"
-	tarball="flannel-${VER}-${GOOS}-${GOARCH}.tar.gz"
-
-	mkdir -p $builddir
-	cp ../bin/flanneld ./mk-docker-opts.sh ../README.md $builddir
-
-	tar cvvfz $tarball "flannel-$VER"
-}
-
-VER="$1"
-GOARCH="amd64"
-GOOS="linux"
-
-if [ "$VER" == "" ]; then
-	usage
-fi
-
-cur_branch=$(git rev-parse --abbrev-ref HEAD)
-git checkout v$VER
-
-./build-docker.sh $VER
-./build-aci.sh $VER
-package_tarball
-
-# restore the branch
-git checkout $cur_branch

+ 0 - 38
dist/bump-release.sh

@@ -1,38 +0,0 @@
-#!/bin/bash -eu
-#
-# $1 = version string (e.g. 0.8.0)
-
-VERSION="${1:?version must be set}"
-if [ "${VERSION:0:1}" == "v" ]; then
-	echo "version tag shouldn't start with v" >> /dev/stderr
-	exit 255
-fi
-ORIGIN="${ORIGIN:=upstream}"
-VERSIONTAG="v${VERSION}"
-
-TAGBR="v${VERSION}-tag"
-
-replace_version() {
-	sed -i -e "s/const Version.*/const Version = \"$1\"/" version/version.go
-	git commit -m "version: bump to v$1" version/version.go
-}
-
-# make sure we're up to date
-git pull --ff-only ${ORIGIN} master
-
-# tag it
-replace_version ${VERSION}
-git tag -a -m "${VERSIONTAG}" "${VERSIONTAG}"
-
-# bump ver to placeholder and push to origin
-replace_version "${VERSION}+git"
-git push "${ORIGIN}" master
-
-# push the tag
-git push "${ORIGIN}" "${VERSIONTAG}"
-
-echo
-echo "============================================================"
-echo "Tagged $VERSIONTAG in $ORIGIN"
-echo "Now run \"build-release.sh $VERSION\""
-echo

+ 0 - 1786
dist/flannelbox.config

@@ -1,1786 +0,0 @@
-#
-# Automatically generated file; DO NOT EDIT.
-# Buildroot 2014.08 Configuration
-#
-BR2_HAVE_DOT_CONFIG=y
-
-#
-# Target options
-#
-BR2_ARCH_IS_64=y
-# BR2_arcle is not set
-# BR2_arceb is not set
-# BR2_arm is not set
-# BR2_armeb is not set
-# BR2_aarch64 is not set
-# BR2_bfin is not set
-# BR2_i386 is not set
-# BR2_microblazeel is not set
-# BR2_microblazebe is not set
-# BR2_mips is not set
-# BR2_mipsel is not set
-# BR2_mips64 is not set
-# BR2_mips64el is not set
-# BR2_nios2 is not set
-# BR2_powerpc is not set
-# BR2_powerpc64 is not set
-# BR2_powerpc64le is not set
-# BR2_sh is not set
-# BR2_sh64 is not set
-# BR2_sparc is not set
-BR2_x86_64=y
-# BR2_xtensa is not set
-BR2_ARCH="x86_64"
-BR2_ENDIAN="LITTLE"
-BR2_GCC_TARGET_TUNE="generic"
-BR2_ARCH_HAS_ATOMICS=y
-BR2_x86_generic=y
-# BR2_x86_nocona is not set
-# BR2_x86_core2 is not set
-# BR2_x86_corei7 is not set
-# BR2_x86_atom is not set
-# BR2_x86_opteron is not set
-# BR2_x86_opteron_sse3 is not set
-# BR2_x86_barcelona is not set
-# BR2_x86_jaguar is not set
-
-#
-# Build options
-#
-
-#
-# Commands
-#
-BR2_WGET="wget --passive-ftp -nd -t 3"
-BR2_SVN="svn"
-BR2_BZR="bzr"
-BR2_GIT="git"
-BR2_CVS="cvs"
-BR2_LOCALFILES="cp"
-BR2_SCP="scp"
-BR2_SSH="ssh"
-BR2_HG="hg"
-BR2_ZCAT="gzip -d -c"
-BR2_BZCAT="bzcat"
-BR2_XZCAT="xzcat"
-BR2_TAR_OPTIONS=""
-BR2_DEFCONFIG="$(CONFIG_DIR)/defconfig"
-BR2_DL_DIR="$(TOPDIR)/dl"
-BR2_HOST_DIR="$(BASE_DIR)/host"
-
-#
-# Mirrors and Download locations
-#
-BR2_PRIMARY_SITE=""
-BR2_BACKUP_SITE="http://sources.buildroot.net"
-BR2_KERNEL_MIRROR="https://www.kernel.org/pub"
-BR2_GNU_MIRROR="http://ftp.gnu.org/pub/gnu"
-BR2_DEBIAN_MIRROR="http://ftp.debian.org"
-BR2_LUAROCKS_MIRROR="http://rocks.moonscript.org"
-BR2_CPAN_MIRROR="http://cpan.metacpan.org"
-BR2_JLEVEL=0
-# BR2_CCACHE is not set
-# BR2_DEPRECATED is not set
-# BR2_ENABLE_DEBUG is not set
-BR2_STRIP_strip=y
-# BR2_STRIP_none is not set
-BR2_STRIP_EXCLUDE_FILES=""
-BR2_STRIP_EXCLUDE_DIRS=""
-# BR2_OPTIMIZE_0 is not set
-# BR2_OPTIMIZE_1 is not set
-BR2_OPTIMIZE_2=y
-# BR2_OPTIMIZE_3 is not set
-# BR2_OPTIMIZE_S is not set
-# BR2_ENABLE_SSP is not set
-# BR2_PREFER_STATIC_LIB is not set
-BR2_PACKAGE_OVERRIDE_FILE="$(CONFIG_DIR)/local.mk"
-BR2_GLOBAL_PATCH_DIR=""
-
-#
-# Toolchain
-#
-BR2_TOOLCHAIN=y
-BR2_TOOLCHAIN_USES_GLIBC=y
-BR2_TOOLCHAIN_BUILDROOT=y
-# BR2_TOOLCHAIN_EXTERNAL is not set
-BR2_TOOLCHAIN_BUILDROOT_VENDOR="buildroot"
-
-#
-# Kernel Header Options
-#
-# BR2_KERNEL_HEADERS_3_2 is not set
-# BR2_KERNEL_HEADERS_3_4 is not set
-# BR2_KERNEL_HEADERS_3_10 is not set
-# BR2_KERNEL_HEADERS_3_12 is not set
-# BR2_KERNEL_HEADERS_3_14 is not set
-BR2_KERNEL_HEADERS_3_16=y
-# BR2_KERNEL_HEADERS_VERSION is not set
-BR2_DEFAULT_KERNEL_HEADERS="3.16.1"
-# BR2_TOOLCHAIN_BUILDROOT_UCLIBC is not set
-# BR2_TOOLCHAIN_BUILDROOT_EGLIBC is not set
-BR2_TOOLCHAIN_BUILDROOT_GLIBC=y
-# BR2_TOOLCHAIN_BUILDROOT_MUSL is not set
-BR2_TOOLCHAIN_BUILDROOT_LIBC="glibc"
-BR2_PACKAGE_GLIBC=y
-# BR2_GLIBC_VERSION_2_18 is not set
-BR2_GLIBC_VERSION_2_19=y
-BR2_GLIBC_VERSION_STRING="2.19"
-
-#
-# Binutils Options
-#
-# BR2_BINUTILS_VERSION_2_22 is not set
-# BR2_BINUTILS_VERSION_2_23_2 is not set
-BR2_BINUTILS_VERSION_2_24=y
-BR2_BINUTILS_VERSION="2.24"
-BR2_BINUTILS_EXTRA_CONFIG_OPTIONS=""
-
-#
-# GCC Options
-#
-BR2_GCC_NEEDS_MPC=y
-BR2_GCC_SUPPORTS_GRAPHITE=y
-# BR2_GCC_VERSION_4_4_X is not set
-# BR2_GCC_VERSION_4_5_X is not set
-# BR2_GCC_VERSION_4_7_X is not set
-BR2_GCC_VERSION_4_8_X=y
-# BR2_GCC_VERSION_4_9_X is not set
-# BR2_GCC_VERSION_SNAP is not set
-BR2_GCC_SUPPORTS_FINEGRAINEDMTUNE=y
-BR2_GCC_VERSION="4.8.3"
-BR2_EXTRA_GCC_CONFIG_OPTIONS=""
-# BR2_TOOLCHAIN_BUILDROOT_CXX is not set
-BR2_GCC_ENABLE_TLS=y
-# BR2_GCC_ENABLE_OPENMP is not set
-# BR2_GCC_ENABLE_LIBMUDFLAP is not set
-# BR2_GCC_ENABLE_GRAPHITE is not set
-# BR2_PACKAGE_HOST_GDB is not set
-BR2_LARGEFILE=y
-BR2_INET_IPV6=y
-BR2_TOOLCHAIN_HAS_NATIVE_RPC=y
-BR2_USE_WCHAR=y
-BR2_ENABLE_LOCALE=y
-BR2_TOOLCHAIN_HAS_THREADS=y
-BR2_TOOLCHAIN_HAS_THREADS_DEBUG=y
-BR2_TOOLCHAIN_HAS_THREADS_NPTL=y
-BR2_TOOLCHAIN_HAS_SHADOW_PASSWORDS=y
-BR2_TOOLCHAIN_HAS_SSP=y
-BR2_ENABLE_LOCALE_PURGE=y
-BR2_ENABLE_LOCALE_WHITELIST="C en_US"
-BR2_GENERATE_LOCALE=""
-# BR2_TOOLCHAIN_GLIBC_GCONV_LIBS_COPY is not set
-BR2_USE_MMU=y
-BR2_TARGET_OPTIMIZATION="-pipe"
-BR2_TARGET_LDFLAGS=""
-# BR2_ECLIPSE_REGISTER is not set
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_0=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_1=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_2=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_3=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_4=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_5=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_6=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_7=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_8=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_9=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_10=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_11=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_12=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_13=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_14=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_15=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_16=y
-BR2_TOOLCHAIN_HEADERS_AT_LEAST="3.16"
-
-#
-# System configuration
-#
-BR2_TARGET_GENERIC_HOSTNAME="buildroot"
-BR2_TARGET_GENERIC_ISSUE="Welcome to Buildroot"
-# BR2_TARGET_GENERIC_PASSWD_DES is not set
-BR2_TARGET_GENERIC_PASSWD_MD5=y
-# BR2_TARGET_GENERIC_PASSWD_SHA256 is not set
-# BR2_TARGET_GENERIC_PASSWD_SHA512 is not set
-BR2_TARGET_GENERIC_PASSWD_METHOD="md5"
-# BR2_INIT_BUSYBOX is not set
-# BR2_INIT_SYSV is not set
-# BR2_INIT_SYSTEMD is not set
-BR2_INIT_NONE=y
-# BR2_ROOTFS_DEVICE_CREATION_STATIC is not set
-BR2_ROOTFS_DEVICE_CREATION_DYNAMIC_DEVTMPFS=y
-# BR2_ROOTFS_DEVICE_CREATION_DYNAMIC_MDEV is not set
-# BR2_ROOTFS_DEVICE_CREATION_DYNAMIC_EUDEV is not set
-BR2_ROOTFS_DEVICE_TABLE="system/device_table.txt"
-BR2_ROOTFS_SKELETON_DEFAULT=y
-# BR2_ROOTFS_SKELETON_CUSTOM is not set
-BR2_TARGET_GENERIC_ROOT_PASSWD=""
-BR2_TARGET_GENERIC_GETTY=y
-
-#
-# getty options
-#
-BR2_TARGET_GENERIC_GETTY_PORT="ttyS0"
-# BR2_TARGET_GENERIC_GETTY_BAUDRATE_KEEP is not set
-# BR2_TARGET_GENERIC_GETTY_BAUDRATE_9600 is not set
-# BR2_TARGET_GENERIC_GETTY_BAUDRATE_19200 is not set
-# BR2_TARGET_GENERIC_GETTY_BAUDRATE_38400 is not set
-# BR2_TARGET_GENERIC_GETTY_BAUDRATE_57600 is not set
-BR2_TARGET_GENERIC_GETTY_BAUDRATE_115200=y
-BR2_TARGET_GENERIC_GETTY_BAUDRATE="115200"
-BR2_TARGET_GENERIC_GETTY_TERM="vt100"
-BR2_TARGET_GENERIC_GETTY_OPTIONS=""
-BR2_TARGET_GENERIC_REMOUNT_ROOTFS_RW=y
-# BR2_TARGET_TZ_INFO is not set
-BR2_ROOTFS_USERS_TABLES=""
-BR2_ROOTFS_OVERLAY=""
-BR2_ROOTFS_POST_BUILD_SCRIPT=""
-BR2_ROOTFS_POST_IMAGE_SCRIPT=""
-
-#
-# Kernel
-#
-# BR2_LINUX_KERNEL is not set
-
-#
-# Target packages
-#
-BR2_PACKAGE_BUSYBOX=y
-BR2_PACKAGE_BUSYBOX_CONFIG="package/busybox/busybox.config"
-BR2_PACKAGE_BUSYBOX_SHOW_OTHERS=y
-# BR2_PACKAGE_BUSYBOX_WATCHDOG is not set
-
-#
-# Audio and video applications
-#
-# BR2_PACKAGE_ALSA_UTILS is not set
-# BR2_PACKAGE_AUMIX is not set
-
-#
-# bellagio needs a toolchain w/ C++, threads, dynamic library
-#
-
-#
-# espeak needs a toolchain w/ C++, wchar, threads
-#
-# BR2_PACKAGE_FAAD2 is not set
-# BR2_PACKAGE_FFMPEG is not set
-# BR2_PACKAGE_FLAC is not set
-# BR2_PACKAGE_FLITE is not set
-# BR2_PACKAGE_GSTREAMER is not set
-# BR2_PACKAGE_GSTREAMER1 is not set
-
-#
-# jack2 needs a toolchain w/ largefile, threads, C++
-#
-# BR2_PACKAGE_LAME is not set
-# BR2_PACKAGE_LIBVPX is not set
-# BR2_PACKAGE_MADPLAY is not set
-
-#
-# mpd needs a toolchain w/ C++, threads, wchar
-#
-# BR2_PACKAGE_MPG123 is not set
-# BR2_PACKAGE_MPLAYER is not set
-# BR2_PACKAGE_MUSEPACK is not set
-# BR2_PACKAGE_NCMPC is not set
-# BR2_PACKAGE_OPUS_TOOLS is not set
-# BR2_PACKAGE_PULSEAUDIO is not set
-# BR2_PACKAGE_SOX is not set
-# BR2_PACKAGE_TSTOOLS is not set
-# BR2_PACKAGE_TWOLAME is not set
-
-#
-# upmpdcli needs a toolchain w/ C++, largefile, threads
-#
-
-#
-# vlc needs a uclibc snapshot or (e)glibc toolchain w/ C++, largefile, wchar, threads
-#
-# BR2_PACKAGE_VORBIS_TOOLS is not set
-# BR2_PACKAGE_WAVPACK is not set
-BR2_PACKAGE_XBMC_ARCH_SUPPORTS=y
-
-#
-# xbmc needs a toolchain w/ C++, IPv6, largefile, threads, wchar
-#
-
-#
-# xbmc needs an OpenGL or an openGL ES and EGL backend
-#
-# BR2_PACKAGE_YAVTA is not set
-
-#
-# Compressors and decompressors
-#
-# BR2_PACKAGE_BZIP2 is not set
-# BR2_PACKAGE_GZIP is not set
-# BR2_PACKAGE_INFOZIP is not set
-# BR2_PACKAGE_LZ4 is not set
-
-#
-# lzip needs a toolchain w/ C++, largefile
-#
-# BR2_PACKAGE_LZOP is not set
-# BR2_PACKAGE_XZ is not set
-
-#
-# Debugging, profiling and benchmark
-#
-
-#
-# bonnie++ needs a toolchain w/ C++
-#
-# BR2_PACKAGE_CACHE_CALIBRATOR is not set
-# BR2_PACKAGE_DHRYSTONE is not set
-# BR2_PACKAGE_DMALLOC is not set
-# BR2_PACKAGE_DROPWATCH is not set
-# BR2_PACKAGE_DSTAT is not set
-
-#
-# duma needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_FIO is not set
-# BR2_PACKAGE_GDB is not set
-BR2_PACKAGE_GOOGLE_BREAKPAD_ARCH_SUPPORTS=y
-
-#
-# google-breakpad requires an (e)glibc toolchain w/ C++ enabled
-#
-# BR2_PACKAGE_IOZONE is not set
-# BR2_PACKAGE_KEXEC is not set
-
-#
-# ktap needs a Linux kernel to be built
-#
-# BR2_PACKAGE_LATENCYTOP is not set
-# BR2_PACKAGE_LMBENCH is not set
-# BR2_PACKAGE_LSOF is not set
-# BR2_PACKAGE_LTP_TESTSUITE is not set
-# BR2_PACKAGE_LTRACE is not set
-
-#
-# lttng-modules needs a Linux kernel to be built
-#
-# BR2_PACKAGE_LTTNG_TOOLS is not set
-# BR2_PACKAGE_MEMSTAT is not set
-# BR2_PACKAGE_NETPERF is not set
-
-#
-# oprofile needs a toolchain w/ C++
-#
-# BR2_PACKAGE_PAX_UTILS is not set
-
-#
-# perf needs a toolchain w/ largefile and a Linux kernel to be built
-#
-# BR2_PACKAGE_PV is not set
-# BR2_PACKAGE_RAMSMP is not set
-# BR2_PACKAGE_RAMSPEED is not set
-# BR2_PACKAGE_RT_TESTS is not set
-# BR2_PACKAGE_STRACE is not set
-# BR2_PACKAGE_STRESS is not set
-# BR2_PACKAGE_SYSPROF is not set
-# BR2_PACKAGE_TINYMEMBENCH is not set
-# BR2_PACKAGE_TRACE_CMD is not set
-# BR2_PACKAGE_VALGRIND is not set
-# BR2_PACKAGE_WHETSTONE is not set
-
-#
-# Development tools
-#
-# BR2_PACKAGE_BINUTILS is not set
-# BR2_PACKAGE_BSDIFF is not set
-# BR2_PACKAGE_CVS is not set
-# BR2_PACKAGE_DIFFUTILS is not set
-# BR2_PACKAGE_FINDUTILS is not set
-# BR2_PACKAGE_FLEX is not set
-# BR2_PACKAGE_GAWK is not set
-# BR2_PACKAGE_GETTEXT is not set
-# BR2_PACKAGE_GIT is not set
-
-#
-# gperf needs a toolchain w/ C++
-#
-# BR2_PACKAGE_GREP is not set
-# BR2_PACKAGE_JQ is not set
-# BR2_PACKAGE_LIBTOOL is not set
-# BR2_PACKAGE_MAKE is not set
-# BR2_PACKAGE_PATCH is not set
-# BR2_PACKAGE_PKGCONF is not set
-# BR2_PACKAGE_SED is not set
-# BR2_PACKAGE_SSTRIP is not set
-# BR2_PACKAGE_SUBVERSION is not set
-# BR2_PACKAGE_TAR is not set
-# BR2_PACKAGE_TREE is not set
-# BR2_PACKAGE_YASM is not set
-
-#
-# Filesystem and flash utilities
-#
-# BR2_PACKAGE_BTRFS_PROGS is not set
-# BR2_PACKAGE_CIFS_UTILS is not set
-# BR2_PACKAGE_CRAMFS is not set
-# BR2_PACKAGE_CURLFTPFS is not set
-# BR2_PACKAGE_DOSFSTOOLS is not set
-# BR2_PACKAGE_E2FSPROGS is not set
-# BR2_PACKAGE_E2TOOLS is not set
-# BR2_PACKAGE_ECRYPTFS_UTILS is not set
-# BR2_PACKAGE_EXFAT is not set
-# BR2_PACKAGE_EXFAT_UTILS is not set
-# BR2_PACKAGE_F2FS_TOOLS is not set
-# BR2_PACKAGE_FLASHBENCH is not set
-# BR2_PACKAGE_GENEXT2FS is not set
-# BR2_PACKAGE_GENROMFS is not set
-# BR2_PACKAGE_MAKEDEVS is not set
-# BR2_PACKAGE_MMC_UTILS is not set
-# BR2_PACKAGE_MTD is not set
-# BR2_PACKAGE_MTOOLS is not set
-# BR2_PACKAGE_NFS_UTILS is not set
-# BR2_PACKAGE_NTFS_3G is not set
-
-#
-# simicsfs needs a Linux kernel to be built
-#
-# BR2_PACKAGE_SQUASHFS is not set
-# BR2_PACKAGE_SSHFS is not set
-# BR2_PACKAGE_UNIONFS is not set
-# BR2_PACKAGE_XFSPROGS is not set
-
-#
-# Games
-#
-# BR2_PACKAGE_GNUCHESS is not set
-# BR2_PACKAGE_LBREAKOUT2 is not set
-# BR2_PACKAGE_LTRIS is not set
-# BR2_PACKAGE_OPENTYRIAN is not set
-# BR2_PACKAGE_PRBOOM is not set
-
-#
-# Graphic libraries and applications (graphic/text)
-#
-
-#
-# Graphic applications
-#
-# BR2_PACKAGE_FSWEBCAM is not set
-# BR2_PACKAGE_GNUPLOT is not set
-# BR2_PACKAGE_JHEAD is not set
-# BR2_PACKAGE_RRDTOOL is not set
-
-#
-# Graphic libraries
-#
-
-#
-# cegui06 needs a toolchain w/ C++, threads, dynamic library
-#
-
-#
-# directfb needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_FBDUMP is not set
-# BR2_PACKAGE_FBGRAB is not set
-# BR2_PACKAGE_FBSET is not set
-# BR2_PACKAGE_FB_TEST_APP is not set
-
-#
-# fbterm needs a toolchain w/ C++, wchar, locale
-#
-# BR2_PACKAGE_FBV is not set
-# BR2_PACKAGE_IMAGEMAGICK is not set
-
-#
-# linux-fusion needs a Linux kernel to be built
-#
-
-#
-# mesa3d needs udev /dev management and a toolchain w/ C++, largefile, NPTL
-#
-
-#
-# ocrad needs a toolchain w/ C++
-#
-# BR2_PACKAGE_PSPLASH is not set
-# BR2_PACKAGE_SDL is not set
-
-#
-# Other GUIs
-#
-# BR2_PACKAGE_EFL is not set
-
-#
-# qt needs a toolchain w/ C++, threads
-#
-BR2_PACKAGE_QT5_JSCORE_AVAILABLE=y
-
-#
-# Qt5 needs a toolchain w/ wchar, IPv6, NPTL, C++
-#
-
-#
-# weston needs udev and a toolchain w/ threads, headers >= 3.0
-#
-# BR2_PACKAGE_XORG7 is not set
-
-#
-# X applications
-#
-
-#
-# midori needs libgtk2 and a toolchain w/ C++, wchar, threads
-#
-
-#
-# X libraries and helper libraries
-#
-# BR2_PACKAGE_DEJAVU is not set
-# BR2_PACKAGE_LIBERATION is not set
-# BR2_PACKAGE_XKEYBOARD_CONFIG is not set
-
-#
-# X window managers
-#
-
-#
-# Hardware handling
-#
-
-#
-# Firmware
-#
-# BR2_PACKAGE_B43_FIRMWARE is not set
-# BR2_PACKAGE_LINUX_FIRMWARE is not set
-# BR2_PACKAGE_UX500_FIRMWARE is not set
-# BR2_PACKAGE_ZD1211_FIRMWARE is not set
-# BR2_PACKAGE_ACPID is not set
-# BR2_PACKAGE_AVRDUDE is not set
-# BR2_PACKAGE_CDRKIT is not set
-# BR2_PACKAGE_CRYPTSETUP is not set
-# BR2_PACKAGE_CWIID is not set
-# BR2_PACKAGE_DBUS is not set
-# BR2_PACKAGE_DEVMEM2 is not set
-# BR2_PACKAGE_DMIDECODE is not set
-# BR2_PACKAGE_DMRAID is not set
-# BR2_PACKAGE_DVB_APPS is not set
-# BR2_PACKAGE_DVBSNOOP is not set
-# BR2_PACKAGE_DTV_SCAN_TABLES is not set
-# BR2_PACKAGE_EEPROG is not set
-
-#
-# eudev needs eudev /dev management
-#
-# BR2_PACKAGE_EVEMU is not set
-# BR2_PACKAGE_EVTEST is not set
-# BR2_PACKAGE_FAN_CTRL is not set
-# BR2_PACKAGE_FCONFIG is not set
-# BR2_PACKAGE_FIS is not set
-# BR2_PACKAGE_FLASHROM is not set
-# BR2_PACKAGE_FMTOOLS is not set
-# BR2_PACKAGE_FXLOAD is not set
-# BR2_PACKAGE_GADGETFS_TEST is not set
-# BR2_PACKAGE_GPM is not set
-# BR2_PACKAGE_GPSD is not set
-
-#
-# gptfdisk needs a toolchain w/ largefile, wchar, C++
-#
-# BR2_PACKAGE_GVFS is not set
-# BR2_PACKAGE_HDPARM is not set
-# BR2_PACKAGE_HWDATA is not set
-# BR2_PACKAGE_I2C_TOOLS is not set
-# BR2_PACKAGE_INPUT_EVENT_DAEMON is not set
-# BR2_PACKAGE_INPUT_TOOLS is not set
-# BR2_PACKAGE_INTEL_MICROCODE is not set
-# BR2_PACKAGE_IOSTAT is not set
-# BR2_PACKAGE_IRDA_UTILS is not set
-# BR2_PACKAGE_IUCODE_TOOL is not set
-# BR2_PACKAGE_KBD is not set
-# BR2_PACKAGE_LCDPROC is not set
-# BR2_PACKAGE_LM_SENSORS is not set
-
-#
-# lshw needs a toolchain w/ C++, largefile, wchar
-#
-# BR2_PACKAGE_LSUIO is not set
-# BR2_PACKAGE_LVM2 is not set
-# BR2_PACKAGE_MDADM is not set
-# BR2_PACKAGE_MEDIA_CTL is not set
-# BR2_PACKAGE_MEMTESTER is not set
-# BR2_PACKAGE_MINICOM is not set
-# BR2_PACKAGE_NANOCOM is not set
-# BR2_PACKAGE_NEARD is not set
-# BR2_PACKAGE_OFONO is not set
-
-#
-# ola needs a toolchain w/ C++, threads, largefile, wchar
-#
-# BR2_PACKAGE_OPEN2300 is not set
-# BR2_PACKAGE_OPENOCD is not set
-
-#
-# openpowerlink needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_PARTED is not set
-# BR2_PACKAGE_PCIUTILS is not set
-# BR2_PACKAGE_PICOCOM is not set
-# BR2_PACKAGE_RNG_TOOLS is not set
-# BR2_PACKAGE_SANE_BACKENDS is not set
-# BR2_PACKAGE_SDPARM is not set
-# BR2_PACKAGE_SETSERIAL is not set
-# BR2_PACKAGE_SG3_UTILS is not set
-# BR2_PACKAGE_SISPMCTL is not set
-
-#
-# smartmontools needs a toolchain w/ C++
-#
-# BR2_PACKAGE_SMSTOOLS3 is not set
-# BR2_PACKAGE_SNOWBALL_HDMISERVICE is not set
-# BR2_PACKAGE_SREDIRD is not set
-# BR2_PACKAGE_STATSERIAL is not set
-# BR2_PACKAGE_SYSSTAT is not set
-# BR2_PACKAGE_TI_UIM is not set
-# BR2_PACKAGE_TI_UTILS is not set
-# BR2_PACKAGE_UBOOT_TOOLS is not set
-
-#
-# udisks needs udev /dev management
-#
-# BR2_PACKAGE_USB_MODESWITCH is not set
-# BR2_PACKAGE_USB_MODESWITCH_DATA is not set
-
-#
-# usbmount requires udev to be enabled
-#
-# BR2_PACKAGE_USBUTILS is not set
-# BR2_PACKAGE_W_SCAN is not set
-# BR2_PACKAGE_WIPE is not set
-
-#
-# Interpreter languages and scripting
-#
-# BR2_PACKAGE_ENSCRIPT is not set
-# BR2_PACKAGE_ERLANG is not set
-# BR2_PACKAGE_HASERL is not set
-# BR2_PACKAGE_JAMVM is not set
-# BR2_PACKAGE_JIMTCL is not set
-# BR2_PACKAGE_LUA is not set
-# BR2_PACKAGE_LUAJIT is not set
-
-#
-# nodejs needs a toolchain w/ C++, IPv6, largefile, threads
-#
-# BR2_PACKAGE_PERL is not set
-# BR2_PACKAGE_PHP is not set
-# BR2_PACKAGE_PYTHON is not set
-# BR2_PACKAGE_PYTHON3 is not set
-# BR2_PACKAGE_RUBY is not set
-# BR2_PACKAGE_TCL is not set
-
-#
-# Libraries
-#
-
-#
-# Audio/Sound
-#
-# BR2_PACKAGE_ALSA_LIB is not set
-
-#
-# audiofile needs a toolchain w/ C++
-#
-# BR2_PACKAGE_CELT051 is not set
-
-#
-# fdk-aac needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LIBAO is not set
-# BR2_PACKAGE_LIBCDAUDIO is not set
-# BR2_PACKAGE_LIBCDIO is not set
-# BR2_PACKAGE_LIBCUE is not set
-# BR2_PACKAGE_LIBCUEFILE is not set
-# BR2_PACKAGE_LIBID3TAG is not set
-# BR2_PACKAGE_LIBLO is not set
-# BR2_PACKAGE_LIBMAD is not set
-
-#
-# libmodplug needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LIBMPD is not set
-# BR2_PACKAGE_LIBMPDCLIENT is not set
-# BR2_PACKAGE_LIBREPLAYGAIN is not set
-# BR2_PACKAGE_LIBSAMPLERATE is not set
-# BR2_PACKAGE_LIBSNDFILE is not set
-# BR2_PACKAGE_LIBSOXR is not set
-# BR2_PACKAGE_LIBVORBIS is not set
-
-#
-# opencore-amr needs a toolchain w/ C++
-#
-# BR2_PACKAGE_OPUS is not set
-# BR2_PACKAGE_PORTAUDIO is not set
-# BR2_PACKAGE_SPEEX is not set
-
-#
-# taglib needs a toolchain w/ C++, wchar
-#
-# BR2_PACKAGE_TREMOR is not set
-# BR2_PACKAGE_VO_AACENC is not set
-
-#
-# webrtc-audio-processing needs a toolchain w/ C++, threads
-#
-
-#
-# Compression and decompression
-#
-# BR2_PACKAGE_LIBARCHIVE is not set
-# BR2_PACKAGE_LZO is not set
-
-#
-# snappy needs a toolchain w/ C++
-#
-BR2_PACKAGE_ZLIB=y
-
-#
-# Crypto
-#
-# BR2_PACKAGE_BEECRYPT is not set
-BR2_PACKAGE_CA_CERTIFICATES=y
-
-#
-# cryptodev needs a Linux kernel to be built
-#
-# BR2_PACKAGE_GNUTLS is not set
-# BR2_PACKAGE_LIBASSUAN is not set
-# BR2_PACKAGE_LIBGCRYPT is not set
-# BR2_PACKAGE_LIBGPG_ERROR is not set
-# BR2_PACKAGE_LIBGPGME is not set
-# BR2_PACKAGE_LIBKSBA is not set
-# BR2_PACKAGE_LIBMCRYPT is not set
-# BR2_PACKAGE_LIBMHASH is not set
-# BR2_PACKAGE_LIBNSS is not set
-# BR2_PACKAGE_LIBSECRET is not set
-# BR2_PACKAGE_LIBSHA1 is not set
-# BR2_PACKAGE_LIBSSH2 is not set
-# BR2_PACKAGE_NETTLE is not set
-BR2_PACKAGE_OPENSSL=y
-# BR2_PACKAGE_OPENSSL_BIN is not set
-# BR2_PACKAGE_OPENSSL_ENGINES is not set
-# BR2_PACKAGE_POLARSSL is not set
-
-#
-# Database
-#
-# BR2_PACKAGE_BERKELEYDB is not set
-# BR2_PACKAGE_GDBM is not set
-
-#
-# MySQL needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_POSTGRESQL is not set
-# BR2_PACKAGE_REDIS is not set
-# BR2_PACKAGE_SQLCIPHER is not set
-# BR2_PACKAGE_SQLITE is not set
-
-#
-# Filesystem
-#
-# BR2_PACKAGE_GAMIN is not set
-# BR2_PACKAGE_LIBCONFIG is not set
-# BR2_PACKAGE_LIBCONFUSE is not set
-# BR2_PACKAGE_LIBFUSE is not set
-# BR2_PACKAGE_LIBLOCKFILE is not set
-# BR2_PACKAGE_LIBNFS is not set
-# BR2_PACKAGE_LIBSYSFS is not set
-# BR2_PACKAGE_LOCKDEV is not set
-
-#
-# Graphics
-#
-# BR2_PACKAGE_ATK is not set
-# BR2_PACKAGE_CAIRO is not set
-# BR2_PACKAGE_FONTCONFIG is not set
-# BR2_PACKAGE_FREETYPE is not set
-# BR2_PACKAGE_GD is not set
-# BR2_PACKAGE_GDK_PIXBUF is not set
-
-#
-# harfbuzz needs a toolchain w/ C++
-#
-# BR2_PACKAGE_IMLIB2 is not set
-# BR2_PACKAGE_JASPER is not set
-# BR2_PACKAGE_JPEG is not set
-# BR2_PACKAGE_LCMS2 is not set
-# BR2_PACKAGE_LIBART is not set
-# BR2_PACKAGE_LIBDMTX is not set
-# BR2_PACKAGE_LIBDRM is not set
-# BR2_PACKAGE_LIBEXIF is not set
-# BR2_PACKAGE_LIBGEOTIFF is not set
-
-#
-# libglew depends on X.org and needs an OpenGL backend
-#
-
-#
-# libglu needs an OpenGL backend
-#
-# BR2_PACKAGE_LIBPNG is not set
-# BR2_PACKAGE_LIBQRENCODE is not set
-
-#
-# libraw needs a toolchain w/ C++
-#
-
-#
-# librsvg needs a toolchain w/ wchar, threads, C++
-#
-# BR2_PACKAGE_LIBSVG is not set
-# BR2_PACKAGE_LIBSVG_CAIRO is not set
-# BR2_PACKAGE_LIBSVGTINY is not set
-# BR2_PACKAGE_LIBUNGIF is not set
-# BR2_PACKAGE_LIBVA is not set
-# BR2_PACKAGE_LIBVA_INTEL_DRIVER is not set
-
-#
-# opencv needs a toolchain w/ C++, NPTL, wchar
-#
-
-#
-# pango needs a toolchain w/ wchar, threads, C++
-#
-# BR2_PACKAGE_PIXMAN is not set
-
-#
-# poppler needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_TIFF is not set
-# BR2_PACKAGE_WAYLAND is not set
-BR2_PACKAGE_WEBKIT_ARCH_SUPPORTS=y
-
-#
-# webkit needs libgtk2 and a toolchain w/ C++, wchar, threads
-#
-# BR2_PACKAGE_WEBP is not set
-
-#
-# zxing needs a toolchain w/ C++
-#
-
-#
-# Hardware handling
-#
-# BR2_PACKAGE_CCID is not set
-# BR2_PACKAGE_DTC is not set
-# BR2_PACKAGE_GNU_EFI is not set
-
-#
-# lcdapi needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_LIBAIO is not set
-
-#
-# libatasmart requires udev to be enabled
-#
-
-#
-# libcec needs a toolchain w/ C++, wchar, threads, dynamic library
-#
-# BR2_PACKAGE_LIBFREEFARE is not set
-# BR2_PACKAGE_LIBFTDI is not set
-# BR2_PACKAGE_LIBHID is not set
-
-#
-# libinput needs udev /dev management
-#
-# BR2_PACKAGE_LIBIQRF is not set
-# BR2_PACKAGE_LIBLLCP is not set
-
-#
-# libmbim needs udev /dev management and a toolchain w/ wchar, threads
-#
-# BR2_PACKAGE_LIBNFC is not set
-# BR2_PACKAGE_LIBQMI is not set
-# BR2_PACKAGE_LIBRAW1394 is not set
-# BR2_PACKAGE_LIBRTLSDR is not set
-
-#
-# libserial needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LIBSOC is not set
-# BR2_PACKAGE_LIBUSB is not set
-
-#
-# libv4l needs a toolchain w/ largefile, threads and C++
-#
-# BR2_PACKAGE_LIBXKBCOMMON is not set
-# BR2_PACKAGE_MTDEV is not set
-# BR2_PACKAGE_NEARDAL is not set
-# BR2_PACKAGE_PCSC_LITE is not set
-# BR2_PACKAGE_TSLIB is not set
-
-#
-# urg needs a toolchain w/ C++
-#
-
-#
-# Javascript
-#
-# BR2_PACKAGE_EXPLORERCANVAS is not set
-# BR2_PACKAGE_FLOT is not set
-# BR2_PACKAGE_JQUERY is not set
-# BR2_PACKAGE_JQUERY_KEYBOARD is not set
-# BR2_PACKAGE_JQUERY_MOBILE is not set
-# BR2_PACKAGE_JQUERY_SPARKLINE is not set
-# BR2_PACKAGE_JQUERY_UI is not set
-# BR2_PACKAGE_JQUERY_VALIDATION is not set
-# BR2_PACKAGE_JSMIN is not set
-# BR2_PACKAGE_JSON_JAVASCRIPT is not set
-
-#
-# JSON/XML
-#
-# BR2_PACKAGE_CJSON is not set
-# BR2_PACKAGE_EXPAT is not set
-# BR2_PACKAGE_EZXML is not set
-# BR2_PACKAGE_JANSSON is not set
-# BR2_PACKAGE_JSON_C is not set
-# BR2_PACKAGE_JSON_GLIB is not set
-
-#
-# libjson needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LIBROXML is not set
-# BR2_PACKAGE_LIBXML2 is not set
-
-#
-# libxml++ needs a toolchain w/ C++, wchar, threads
-#
-# BR2_PACKAGE_LIBXMLRPC is not set
-# BR2_PACKAGE_LIBXSLT is not set
-# BR2_PACKAGE_LIBYAML is not set
-# BR2_PACKAGE_MXML is not set
-# BR2_PACKAGE_RAPIDJSON is not set
-
-#
-# tinyxml needs a toolchain w/ C++
-#
-
-#
-# xerces-c++ needs a toolchain w/ C++, wchar
-#
-# BR2_PACKAGE_YAJL is not set
-
-#
-# Logging
-#
-# BR2_PACKAGE_LIBLOG4C_LOCALTIME is not set
-# BR2_PACKAGE_LIBLOGGING is not set
-
-#
-# log4cplus needs a toolchain w/ C++, wchar, threads
-#
-
-#
-# log4cxx needs a toolchain w/ C++, threads, dynamic library
-#
-# BR2_PACKAGE_ZLOG is not set
-
-#
-# Multimedia
-#
-# BR2_PACKAGE_LIBASS is not set
-# BR2_PACKAGE_LIBBLURAY is not set
-
-#
-# libdvbsi++ needs a toolchain w/ C++, wchar, threads
-#
-# BR2_PACKAGE_LIBDVDNAV is not set
-# BR2_PACKAGE_LIBDVDREAD is not set
-
-#
-# libebml needs a toolchain w/ C++
-#
-
-#
-# libmatroska needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LIBMMS is not set
-# BR2_PACKAGE_LIBMPEG2 is not set
-# BR2_PACKAGE_LIBOGG is not set
-# BR2_PACKAGE_LIBPLAYER is not set
-# BR2_PACKAGE_LIBTHEORA is not set
-
-#
-# live555 needs a toolchain w/ C++
-#
-
-#
-# mediastreamer needs a toolchain w/ threads, C++, IPv6
-#
-
-#
-# Networking
-#
-
-#
-# agent++ needs a toolchain w/ threads, C++, dynamic library
-#
-# BR2_PACKAGE_C_ARES is not set
-
-#
-# cppzmq needs a toolchain w/ C++, IPv6, largefile, wchar, threads
-#
-
-#
-# czmq needs a toolchain w/ C++, IPv6, largefile, wchar, threads
-#
-
-#
-# filemq needs a toolchain w/ C++, IPv6, largefile, wchar, threads
-#
-# BR2_PACKAGE_FLICKCURL is not set
-# BR2_PACKAGE_GEOIP is not set
-# BR2_PACKAGE_GLIB_NETWORKING is not set
-# BR2_PACKAGE_LIBCGI is not set
-
-#
-# libcgicc needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LIBCURL is not set
-# BR2_PACKAGE_LIBDNET is not set
-# BR2_PACKAGE_LIBEXOSIP2 is not set
-# BR2_PACKAGE_LIBFCGI is not set
-# BR2_PACKAGE_LIBGSASL is not set
-# BR2_PACKAGE_LIBIDN is not set
-# BR2_PACKAGE_LIBISCSI is not set
-# BR2_PACKAGE_LIBMBUS is not set
-
-#
-# libmemcached needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_LIBMICROHTTPD is not set
-# BR2_PACKAGE_LIBMNL is not set
-# BR2_PACKAGE_LIBMODBUS is not set
-# BR2_PACKAGE_LIBNDP is not set
-# BR2_PACKAGE_LIBNETFILTER_ACCT is not set
-# BR2_PACKAGE_LIBNETFILTER_CONNTRACK is not set
-# BR2_PACKAGE_LIBNETFILTER_CTHELPER is not set
-# BR2_PACKAGE_LIBNETFILTER_CTTIMEOUT is not set
-# BR2_PACKAGE_LIBNETFILTER_LOG is not set
-# BR2_PACKAGE_LIBNETFILTER_QUEUE is not set
-# BR2_PACKAGE_LIBNFNETLINK is not set
-# BR2_PACKAGE_LIBNFTNL is not set
-# BR2_PACKAGE_LIBNL is not set
-# BR2_PACKAGE_LIBOAUTH is not set
-# BR2_PACKAGE_LIBOPING is not set
-# BR2_PACKAGE_LIBOSIP2 is not set
-# BR2_PACKAGE_LIBPCAP is not set
-# BR2_PACKAGE_LIBRSYNC is not set
-# BR2_PACKAGE_LIBSOCKETCAN is not set
-# BR2_PACKAGE_LIBSHAIRPLAY is not set
-# BR2_PACKAGE_LIBSOUP is not set
-# BR2_PACKAGE_LIBSTROPHE is not set
-# BR2_PACKAGE_LIBTIRPC is not set
-
-#
-# libtorrent needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_LIBUPNP is not set
-# BR2_PACKAGE_LIBVNCSERVER is not set
-# BR2_PACKAGE_LIBWEBSOCKETS is not set
-# BR2_PACKAGE_NEON is not set
-
-#
-# omniORB needs a toolchain w/ C++, threads
-#
-# BR2_PACKAGE_OPENPGM is not set
-# BR2_PACKAGE_ORTP is not set
-# BR2_PACKAGE_QDECODER is not set
-# BR2_PACKAGE_RTMPDUMP is not set
-# BR2_PACKAGE_SLIRP is not set
-
-#
-# snmp++ needs a toolchain w/ threads, C++, dynamic library
-#
-
-#
-# thrift needs a toolchain w/ C++, largefile, wchar, threads
-#
-# BR2_PACKAGE_USBREDIR is not set
-
-#
-# wvstreams needs a toolchain w/ C++, largefile
-#
-
-#
-# zeromq needs a toolchain w/ C++, IPv6, largefile, wchar, threads
-#
-
-#
-# zmqpp needs a toolchain w/ C++, IPv6, largefile, wchar, threads
-#
-
-#
-# zyre needs a toolchain w/ C++, IPv6, largefile, wchar, threads
-#
-
-#
-# Other
-#
-# BR2_PACKAGE_APR is not set
-# BR2_PACKAGE_APR_UTIL is not set
-# BR2_PACKAGE_ARGP_STANDALONE is not set
-
-#
-# armadillo needs a toolchain w/ C++, largefile
-#
-
-#
-# boost needs a toolchain w/ C++, largefile, threads
-#
-# BR2_PACKAGE_CLAPACK is not set
-
-#
-# cppcms needs a toolchain w/ C++, NPTL, wchar, dynamic library
-#
-
-#
-# eigen needs a toolchain w/ C++
-#
-# BR2_PACKAGE_ELFUTILS is not set
-# BR2_PACKAGE_FFTW is not set
-
-#
-# flann needs a toolchain w/ C++, dynamic library
-#
-
-#
-# glibmm needs a toolchain w/ C++, wchar, threads
-#
-# BR2_PACKAGE_GMP is not set
-# BR2_PACKAGE_GSL is not set
-
-#
-# gtest needs a toolchain w/ C++, wchar, threads
-#
-# BR2_PACKAGE_LIBARGTABLE2 is not set
-BR2_PACKAGE_LIBATOMIC_ARCH_SUPPORTS=y
-# BR2_PACKAGE_LIBATOMIC_OPS is not set
-# BR2_PACKAGE_LIBBSD is not set
-# BR2_PACKAGE_LIBCAP is not set
-# BR2_PACKAGE_LIBCAP_NG is not set
-
-#
-# libcgroup needs an (e)glibc toolchain w/ C++
-#
-# BR2_PACKAGE_LIBDAEMON is not set
-# BR2_PACKAGE_LIBEE is not set
-# BR2_PACKAGE_LIBELF is not set
-# BR2_PACKAGE_LIBEV is not set
-# BR2_PACKAGE_LIBEVDEV is not set
-# BR2_PACKAGE_LIBEVENT is not set
-# BR2_PACKAGE_LIBFFI is not set
-# BR2_PACKAGE_LIBGC is not set
-# BR2_PACKAGE_LIBGLIB2 is not set
-# BR2_PACKAGE_LIBICAL is not set
-BR2_PACKAGE_LIBNSPR_ARCH_SUPPORT=y
-# BR2_PACKAGE_LIBNSPR is not set
-# BR2_PACKAGE_LIBPFM4 is not set
-
-#
-# libplist needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LIBPTHREAD_STUBS is not set
-# BR2_PACKAGE_LIBPTHSEM is not set
-# BR2_PACKAGE_LIBSECCOMP is not set
-
-#
-# libsigc++ needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LIBSIGSEGV is not set
-# BR2_PACKAGE_LIBTASN1 is not set
-# BR2_PACKAGE_LIBTPL is not set
-# BR2_PACKAGE_LIBUBOX is not set
-# BR2_PACKAGE_LIBUCI is not set
-# BR2_PACKAGE_LIBUNWIND is not set
-# BR2_PACKAGE_LIBURCU is not set
-# BR2_PACKAGE_LIBUV is not set
-# BR2_PACKAGE_LINUX_PAM is not set
-# BR2_PACKAGE_LTTNG_LIBUST is not set
-# BR2_PACKAGE_MPC is not set
-# BR2_PACKAGE_MPDECIMAL is not set
-# BR2_PACKAGE_MPFR is not set
-
-#
-# msgpack needs a toolchain w/ C++
-#
-# BR2_PACKAGE_MTDEV2TUIO is not set
-# BR2_PACKAGE_ORC is not set
-# BR2_PACKAGE_P11_KIT is not set
-
-#
-# poco needs a toolchain w/ wchar, threads, C++
-#
-
-#
-# protobuf needs a toolchain w/ C++, threads
-#
-
-#
-# protobuf-c needs a toolchain w/ C++, threads
-#
-
-#
-# schifra needs a toolchain w/ C++
-#
-
-#
-# Security
-#
-# BR2_PACKAGE_LIBSEPOL is not set
-
-#
-# Text and terminal handling
-#
-
-#
-# enchant needs a toolchain w/ C++, threads, wchar
-#
-
-#
-# icu needs a toolchain w/ C++, wchar, threads
-#
-# BR2_PACKAGE_LIBEDIT is not set
-# BR2_PACKAGE_LIBENCA is not set
-# BR2_PACKAGE_LIBESTR is not set
-# BR2_PACKAGE_LIBFRIBIDI is not set
-# BR2_PACKAGE_LINENOISE is not set
-BR2_PACKAGE_NCURSES=y
-# BR2_PACKAGE_NCURSES_TARGET_PANEL is not set
-# BR2_PACKAGE_NCURSES_TARGET_FORM is not set
-# BR2_PACKAGE_NCURSES_TARGET_MENU is not set
-# BR2_PACKAGE_NCURSES_TARGET_PROGS is not set
-# BR2_PACKAGE_NEWT is not set
-# BR2_PACKAGE_PCRE is not set
-# BR2_PACKAGE_POPT is not set
-BR2_PACKAGE_READLINE=y
-# BR2_PACKAGE_SLANG is not set
-
-#
-# tclap needs a toolchain w/ C++
-#
-
-#
-# Miscellaneous
-#
-# BR2_PACKAGE_AESPIPE is not set
-# BR2_PACKAGE_BC is not set
-# BR2_PACKAGE_COLLECTD is not set
-# BR2_PACKAGE_EMPTY is not set
-# BR2_PACKAGE_GOOGLEFONTDIRECTORY is not set
-# BR2_PACKAGE_HAVEGED is not set
-# BR2_PACKAGE_MCRYPT is not set
-# BR2_PACKAGE_MOBILE_BROADBAND_PROVIDER_INFO is not set
-# BR2_PACKAGE_SHARED_MIME_INFO is not set
-# BR2_PACKAGE_SNOWBALL_INIT is not set
-# BR2_PACKAGE_SOUND_THEME_BOREALIS is not set
-# BR2_PACKAGE_SOUND_THEME_FREEDESKTOP is not set
-
-#
-# Mail
-#
-# BR2_PACKAGE_EXIM is not set
-# BR2_PACKAGE_FETCHMAIL is not set
-# BR2_PACKAGE_HEIRLOOM_MAILX is not set
-# BR2_PACKAGE_LIBESMTP is not set
-# BR2_PACKAGE_MSMTP is not set
-# BR2_PACKAGE_MUTT is not set
-
-#
-# Networking applications
-#
-# BR2_PACKAGE_AICCU is not set
-# BR2_PACKAGE_AIRCRACK_NG is not set
-# BR2_PACKAGE_ARGUS is not set
-# BR2_PACKAGE_ARPTABLES is not set
-# BR2_PACKAGE_ATFTP is not set
-# BR2_PACKAGE_AVAHI is not set
-# BR2_PACKAGE_AXEL is not set
-# BR2_PACKAGE_BANDWIDTHD is not set
-
-#
-# bcusdk needs a toolchain w/ C++
-#
-# BR2_PACKAGE_BIND is not set
-# BR2_PACKAGE_BLUEZ_UTILS is not set
-# BR2_PACKAGE_BLUEZ5_UTILS is not set
-# BR2_PACKAGE_BMON is not set
-# BR2_PACKAGE_BOA is not set
-# BR2_PACKAGE_BRIDGE_UTILS is not set
-# BR2_PACKAGE_BWM_NG is not set
-# BR2_PACKAGE_CAN_UTILS is not set
-# BR2_PACKAGE_CHRONY is not set
-# BR2_PACKAGE_CIVETWEB is not set
-# BR2_PACKAGE_CONNMAN is not set
-# BR2_PACKAGE_CONNTRACK_TOOLS is not set
-# BR2_PACKAGE_CRDA is not set
-
-#
-# ctorrent needs a toolchain w/ C++
-#
-# BR2_PACKAGE_CUPS is not set
-# BR2_PACKAGE_DHCP is not set
-# BR2_PACKAGE_DHCPCD is not set
-# BR2_PACKAGE_DHCPDUMP is not set
-# BR2_PACKAGE_DNSMASQ is not set
-# BR2_PACKAGE_DROPBEAR is not set
-# BR2_PACKAGE_EBTABLES is not set
-# BR2_PACKAGE_ETHTOOL is not set
-# BR2_PACKAGE_FAIFA is not set
-# BR2_PACKAGE_FPING is not set
-# BR2_PACKAGE_GESFTPSERVER is not set
-# BR2_PACKAGE_HIAWATHA is not set
-# BR2_PACKAGE_HOSTAPD is not set
-# BR2_PACKAGE_HTTPING is not set
-# BR2_PACKAGE_IFPLUGD is not set
-# BR2_PACKAGE_IFTOP is not set
-
-#
-# igh-ethercat needs a Linux kernel to be built
-#
-# BR2_PACKAGE_IGMPPROXY is not set
-# BR2_PACKAGE_INADYN is not set
-
-#
-# iperf needs a toolchain w/ C++
-#
-BR2_PACKAGE_IPROUTE2=y
-# BR2_PACKAGE_IPSEC_TOOLS is not set
-# BR2_PACKAGE_IPSET is not set
-BR2_PACKAGE_IPTABLES=y
-# BR2_PACKAGE_IPTRAF_NG is not set
-# BR2_PACKAGE_IPUTILS is not set
-# BR2_PACKAGE_IW is not set
-
-#
-# kismet needs a toolchain w/ threads, C++
-#
-# BR2_PACKAGE_KNOCK is not set
-
-#
-# lftp requires a toolchain w/ C++, wchar
-#
-# BR2_PACKAGE_LIGHTTPD is not set
-
-#
-# linknx needs a toolchain w/ C++
-#
-# BR2_PACKAGE_LINKS is not set
-
-#
-# linphone needs a toolchain w/ threads, C++, IPv6
-#
-# BR2_PACKAGE_LINUX_ZIGBEE is not set
-# BR2_PACKAGE_LRZSZ is not set
-# BR2_PACKAGE_MACCHANGER is not set
-# BR2_PACKAGE_MEMCACHED is not set
-# BR2_PACKAGE_MII_DIAG is not set
-# BR2_PACKAGE_MINIDLNA is not set
-
-#
-# modemmanager needs udev /dev management and a toolchain w/ largefile, wchar, threads, IPv6
-#
-# BR2_PACKAGE_MONGOOSE is not set
-
-#
-# mongrel2 needs a toolchain w/ C++, IPv6, threads, largefile, wchar
-#
-# BR2_PACKAGE_MROUTED is not set
-# BR2_PACKAGE_MTR is not set
-# BR2_PACKAGE_NBD is not set
-# BR2_PACKAGE_NCFTP is not set
-# BR2_PACKAGE_NDISC6 is not set
-# BR2_PACKAGE_NETATALK is not set
-# BR2_PACKAGE_NETCAT is not set
-# BR2_PACKAGE_NETPLUG is not set
-# BR2_PACKAGE_NETSNMP is not set
-# BR2_PACKAGE_NETSTAT_NAT is not set
-# BR2_PACKAGE_NET_TOOLS is not set
-
-#
-# NetworkManager needs udev /dev management and a toolchain w/ IPv6, largefile, wchar, threads, headers >= 3.7
-#
-# BR2_PACKAGE_NFACCT is not set
-# BR2_PACKAGE_NFTABLES is not set
-# BR2_PACKAGE_NGIRCD is not set
-# BR2_PACKAGE_NGREP is not set
-
-#
-# nmap needs a toolchain w/ C++, IPv6, threads
-#
-# BR2_PACKAGE_NOIP is not set
-# BR2_PACKAGE_NTP is not set
-# BR2_PACKAGE_NUTTCP is not set
-# BR2_PACKAGE_OLSR is not set
-# BR2_PACKAGE_OPENNTPD is not set
-# BR2_PACKAGE_OPENOBEX is not set
-# BR2_PACKAGE_OPENSSH is not set
-# BR2_PACKAGE_OPENSWAN is not set
-# BR2_PACKAGE_OPENVPN is not set
-# BR2_PACKAGE_P910ND is not set
-# BR2_PACKAGE_PORTMAP is not set
-# BR2_PACKAGE_PPPD is not set
-# BR2_PACKAGE_PPTP_LINUX is not set
-# BR2_PACKAGE_PROFTPD is not set
-# BR2_PACKAGE_PROXYCHAINS_NG is not set
-# BR2_PACKAGE_PTPD is not set
-# BR2_PACKAGE_PTPD2 is not set
-# BR2_PACKAGE_QUAGGA is not set
-# BR2_PACKAGE_RADVD is not set
-# BR2_PACKAGE_RPCBIND is not set
-# BR2_PACKAGE_RSH_REDONE is not set
-# BR2_PACKAGE_RSYNC is not set
-
-#
-# rtorrent needs a toolchain w/ C++, threads, wchar
-#
-# BR2_PACKAGE_RTPTOOLS is not set
-# BR2_PACKAGE_SAMBA is not set
-# BR2_PACKAGE_SAMBA4 is not set
-
-#
-# sconeserver needs a toolchain w/ C++, NPTL
-#
-# BR2_PACKAGE_SER2NET is not set
-# BR2_PACKAGE_SMCROUTE is not set
-# BR2_PACKAGE_SOCAT is not set
-# BR2_PACKAGE_SOCKETCAND is not set
-# BR2_PACKAGE_SPAWN_FCGI is not set
-
-#
-# spice server depends on python (for pyparsing)
-#
-# BR2_PACKAGE_SPICE_PROTOCOL is not set
-
-#
-# squid needs a toolchain w/ C++, IPv6
-#
-# BR2_PACKAGE_SSHPASS is not set
-# BR2_PACKAGE_STRONGSWAN is not set
-# BR2_PACKAGE_STUNNEL is not set
-# BR2_PACKAGE_TCPDUMP is not set
-# BR2_PACKAGE_TCPING is not set
-# BR2_PACKAGE_TCPREPLAY is not set
-# BR2_PACKAGE_TFTPD is not set
-# BR2_PACKAGE_THTTPD is not set
-# BR2_PACKAGE_TINYHTTPD is not set
-# BR2_PACKAGE_TN5250 is not set
-# BR2_PACKAGE_TRANSMISSION is not set
-# BR2_PACKAGE_TVHEADEND is not set
-# BR2_PACKAGE_UDPCAST is not set
-# BR2_PACKAGE_ULOGD is not set
-# BR2_PACKAGE_USHARE is not set
-# BR2_PACKAGE_USSP_PUSH is not set
-# BR2_PACKAGE_VDE2 is not set
-# BR2_PACKAGE_VPNC is not set
-# BR2_PACKAGE_VSFTPD is not set
-# BR2_PACKAGE_VTUN is not set
-# BR2_PACKAGE_WGET is not set
-# BR2_PACKAGE_WHOIS is not set
-# BR2_PACKAGE_WIRELESS_REGDB is not set
-# BR2_PACKAGE_WIRELESS_TOOLS is not set
-# BR2_PACKAGE_WIRESHARK is not set
-# BR2_PACKAGE_WPA_SUPPLICANT is not set
-
-#
-# wvdial needs a toolchain w/ C++, largefile
-#
-# BR2_PACKAGE_XINETD is not set
-# BR2_PACKAGE_XL2TP is not set
-
-#
-# znc needs a toolchain w/ C++
-#
-
-#
-# Package managers
-#
-# BR2_PACKAGE_IPKG is not set
-# BR2_PACKAGE_OPKG is not set
-# BR2_PACKAGE_RPM is not set
-
-#
-# Real-Time
-#
-# BR2_PACKAGE_XENOMAI is not set
-
-#
-# Shell and utilities
-#
-
-#
-# Shells
-#
-BR2_PACKAGE_BASH=y
-# BR2_PACKAGE_DASH is not set
-# BR2_PACKAGE_ZSH is not set
-
-#
-# Utilities
-#
-# BR2_PACKAGE_AT is not set
-# BR2_PACKAGE_CCRYPT is not set
-# BR2_PACKAGE_DIALOG is not set
-# BR2_PACKAGE_DTACH is not set
-# BR2_PACKAGE_FILE is not set
-# BR2_PACKAGE_GNUPG is not set
-# BR2_PACKAGE_GNUPG2 is not set
-# BR2_PACKAGE_INOTIFY_TOOLS is not set
-# BR2_PACKAGE_LOCKFILE_PROGS is not set
-# BR2_PACKAGE_LOGROTATE is not set
-# BR2_PACKAGE_LOGSURFER is not set
-# BR2_PACKAGE_PINENTRY is not set
-# BR2_PACKAGE_SCREEN is not set
-# BR2_PACKAGE_SUDO is not set
-# BR2_PACKAGE_TIME is not set
-# BR2_PACKAGE_TMUX is not set
-# BR2_PACKAGE_WHICH is not set
-# BR2_PACKAGE_XMLSTARLET is not set
-
-#
-# System tools
-#
-# BR2_PACKAGE_ACL is not set
-# BR2_PACKAGE_ATTR is not set
-# BR2_PACKAGE_BOOTUTILS is not set
-# BR2_PACKAGE_COREUTILS is not set
-# BR2_PACKAGE_CPULOAD is not set
-# BR2_PACKAGE_DCRON is not set
-# BR2_PACKAGE_FTOP is not set
-# BR2_PACKAGE_HTOP is not set
-# BR2_PACKAGE_IPRUTILS is not set
-# BR2_PACKAGE_KEYUTILS is not set
-# BR2_PACKAGE_KMOD is not set
-# BR2_PACKAGE_LXC is not set
-# BR2_PACKAGE_MONIT is not set
-# BR2_PACKAGE_NCDU is not set
-# BR2_PACKAGE_NUMACTL is not set
-
-#
-# nut needs a toolchain w/ C++
-#
-# BR2_PACKAGE_POLKIT is not set
-# BR2_PACKAGE_PROCPS_NG is not set
-# BR2_PACKAGE_PSMISC is not set
-# BR2_PACKAGE_PWGEN is not set
-# BR2_PACKAGE_QUOTA is not set
-# BR2_PACKAGE_RSYSLOG is not set
-# BR2_PACKAGE_SMACK is not set
-
-#
-# supervisor needs the python interpreter
-#
-# BR2_PACKAGE_SYSKLOGD is not set
-BR2_PACKAGE_SYSTEMD_ARCH_SUPPORTS=y
-# BR2_PACKAGE_UTIL_LINUX is not set
-
-#
-# Text editors and viewers
-#
-# BR2_PACKAGE_ED is not set
-# BR2_PACKAGE_JOE is not set
-# BR2_PACKAGE_LESS is not set
-# BR2_PACKAGE_NANO is not set
-# BR2_PACKAGE_UEMACS is not set
-# BR2_PACKAGE_VIM is not set
-
-#
-# Filesystem images
-#
-# BR2_TARGET_ROOTFS_CLOOP is not set
-# BR2_TARGET_ROOTFS_CPIO is not set
-# BR2_TARGET_ROOTFS_CRAMFS is not set
-# BR2_TARGET_ROOTFS_EXT2 is not set
-
-#
-# initramfs needs a Linux kernel to be built
-#
-
-#
-# iso image needs a Linux kernel to be built
-#
-# BR2_TARGET_ROOTFS_JFFS2 is not set
-# BR2_TARGET_ROOTFS_ROMFS is not set
-# BR2_TARGET_ROOTFS_SQUASHFS is not set
-BR2_TARGET_ROOTFS_TAR=y
-BR2_TARGET_ROOTFS_TAR_NONE=y
-# BR2_TARGET_ROOTFS_TAR_GZIP is not set
-# BR2_TARGET_ROOTFS_TAR_BZIP2 is not set
-# BR2_TARGET_ROOTFS_TAR_LZMA is not set
-# BR2_TARGET_ROOTFS_TAR_LZO is not set
-# BR2_TARGET_ROOTFS_TAR_XZ is not set
-BR2_TARGET_ROOTFS_TAR_OPTIONS=""
-# BR2_TARGET_ROOTFS_UBIFS is not set
-# BR2_TARGET_ROOTFS_YAFFS2 is not set
-
-#
-# Bootloaders
-#
-# BR2_TARGET_BAREBOX is not set
-# BR2_TARGET_GRUB is not set
-# BR2_TARGET_GRUB2 is not set
-# BR2_TARGET_GUMMIBOOT is not set
-# BR2_TARGET_SYSLINUX is not set
-# BR2_TARGET_UBOOT is not set
-
-#
-# Host utilities
-#
-# BR2_PACKAGE_HOST_DFU_UTIL is not set
-# BR2_PACKAGE_HOST_DOSFSTOOLS is not set
-# BR2_PACKAGE_HOST_E2FSPROGS is not set
-# BR2_PACKAGE_HOST_E2TOOLS is not set
-# BR2_PACKAGE_HOST_GENEXT2FS is not set
-# BR2_PACKAGE_HOST_GENIMAGE is not set
-# BR2_PACKAGE_HOST_GENPART is not set
-# BR2_PACKAGE_HOST_LPC3250LOADER is not set
-# BR2_PACKAGE_HOST_MTD is not set
-# BR2_PACKAGE_HOST_MTOOLS is not set
-# BR2_PACKAGE_HOST_OPENOCD is not set
-# BR2_PACKAGE_HOST_PARTED is not set
-# BR2_PACKAGE_HOST_PATCHELF is not set
-# BR2_PACKAGE_HOST_PWGEN is not set
-# BR2_PACKAGE_HOST_SAM_BA is not set
-# BR2_PACKAGE_HOST_SQUASHFS is not set
-# BR2_PACKAGE_HOST_UBOOT_TOOLS is not set
-# BR2_PACKAGE_HOST_UTIL_LINUX is not set
-
-#
-# Legacy config options
-#
-
-#
-# Legacy options removed in 2014.08
-#
-# BR2_KERNEL_HEADERS_3_8 is not set
-# BR2_PACKAGE_GETTEXT_TOOLS is not set
-# BR2_PACKAGE_PROCPS is not set
-# BR2_BINUTILS_VERSION_2_20_1 is not set
-# BR2_BINUTILS_VERSION_2_21 is not set
-# BR2_BINUTILS_VERSION_2_23_1 is not set
-# BR2_UCLIBC_VERSION_0_9_32 is not set
-# BR2_GCC_VERSION_4_3_X is not set
-# BR2_GCC_VERSION_4_6_X is not set
-# BR2_GDB_VERSION_7_4 is not set
-# BR2_GDB_VERSION_7_5 is not set
-# BR2_BUSYBOX_VERSION_1_19_X is not set
-# BR2_BUSYBOX_VERSION_1_20_X is not set
-# BR2_BUSYBOX_VERSION_1_21_X is not set
-# BR2_PACKAGE_LIBV4L_DECODE_TM6000 is not set
-# BR2_PACKAGE_LIBV4L_IR_KEYTABLE is not set
-# BR2_PACKAGE_LIBV4L_V4L2_COMPLIANCE is not set
-# BR2_PACKAGE_LIBV4L_V4L2_CTL is not set
-# BR2_PACKAGE_LIBV4L_V4L2_DBG is not set
-
-#
-# Legacy options removed in 2014.05
-#
-# BR2_PACKAGE_EVTEST_CAPTURE is not set
-# BR2_KERNEL_HEADERS_3_6 is not set
-# BR2_KERNEL_HEADERS_3_7 is not set
-# BR2_PACKAGE_VALA is not set
-BR2_PACKAGE_TZDATA_ZONELIST=""
-# BR2_PACKAGE_LUA_INTERPRETER_EDITING_NONE is not set
-# BR2_PACKAGE_LUA_INTERPRETER_READLINE is not set
-# BR2_PACKAGE_LUA_INTERPRETER_LINENOISE is not set
-# BR2_PACKAGE_DVB_APPS_UTILS is not set
-# BR2_KERNEL_HEADERS_SNAP is not set
-# BR2_ROOTFS_DEVICE_CREATION_DYNAMIC_UDEV is not set
-# BR2_PACKAGE_UDEV is not set
-# BR2_PACKAGE_UDEV_RULES_GEN is not set
-# BR2_PACKAGE_UDEV_ALL_EXTRAS is not set
-
-#
-# Legacy options removed in 2014.02
-#
-# BR2_sh2 is not set
-# BR2_sh3 is not set
-# BR2_sh3eb is not set
-# BR2_KERNEL_HEADERS_3_1 is not set
-# BR2_KERNEL_HEADERS_3_3 is not set
-# BR2_KERNEL_HEADERS_3_5 is not set
-# BR2_GDB_VERSION_7_2 is not set
-# BR2_GDB_VERSION_7_3 is not set
-# BR2_PACKAGE_CCACHE is not set
-# BR2_HAVE_DOCUMENTATION is not set
-# BR2_PACKAGE_AUTOMAKE is not set
-# BR2_PACKAGE_AUTOCONF is not set
-# BR2_PACKAGE_XSTROKE is not set
-# BR2_PACKAGE_LZMA is not set
-# BR2_PACKAGE_TTCP is not set
-# BR2_PACKAGE_LIBNFC_LLCP is not set
-# BR2_PACKAGE_MYSQL_CLIENT is not set
-# BR2_PACKAGE_SQUASHFS3 is not set
-# BR2_TARGET_ROOTFS_SQUASHFS3 is not set
-# BR2_PACKAGE_NETKITBASE is not set
-# BR2_PACKAGE_NETKITTELNET is not set
-# BR2_PACKAGE_LUASQL is not set
-# BR2_PACKAGE_LUACJSON is not set
-
-#
-# Legacy options removed in 2013.11
-#
-# BR2_PACKAGE_LVM2_DMSETUP_ONLY is not set
-# BR2_PACKAGE_QT_JAVASCRIPTCORE is not set
-# BR2_PACKAGE_MODULE_INIT_TOOLS is not set
-BR2_TARGET_UBOOT_CUSTOM_GIT_REPO_URL=""
-BR2_TARGET_UBOOT_CUSTOM_GIT_VERSION=""
-BR2_LINUX_KERNEL_CUSTOM_GIT_REPO_URL=""
-BR2_LINUX_KERNEL_CUSTOM_GIT_VERSION=""
-
-#
-# Legacy options removed in 2013.08
-#
-# BR2_ARM_OABI is not set
-# BR2_PACKAGE_DOSFSTOOLS_DOSFSCK is not set
-# BR2_PACKAGE_DOSFSTOOLS_DOSFSLABEL is not set
-# BR2_PACKAGE_DOSFSTOOLS_MKDOSFS is not set
-# BR2_ELF2FLT is not set
-# BR2_VFP_FLOAT is not set
-# BR2_PACKAGE_GCC_TARGET is not set
-# BR2_HAVE_DEVFILES is not set
-
-#
-# Legacy options removed in 2013.05
-#
-# BR2_PACKAGE_LINUX_FIRMWARE_RTL_8192 is not set
-# BR2_PACKAGE_LINUX_FIRMWARE_RTL_8712 is not set
-
-#
-# Legacy options removed in 2013.02
-#
-# BR2_sa110 is not set
-# BR2_sa1100 is not set
-# BR2_PACKAGE_GDISK is not set
-# BR2_PACKAGE_GDISK_GDISK is not set
-# BR2_PACKAGE_GDISK_SGDISK is not set
-# BR2_PACKAGE_GDB_HOST is not set
-# BR2_PACKAGE_DIRECTB_DITHER_RGB16 is not set
-# BR2_PACKAGE_DIRECTB_TESTS is not set
-
-#
-# Legacy options removed in 2012.11
-#
-# BR2_PACKAGE_CUSTOMIZE is not set
-# BR2_PACKAGE_XSERVER_xorg is not set
-# BR2_PACKAGE_XSERVER_tinyx is not set
-# BR2_PACKAGE_PTHREAD_STUBS is not set
-
-#
-# Legacy options removed in 2012.08
-#
-# BR2_PACKAGE_GETTEXT_STATIC is not set
-# BR2_PACKAGE_LIBINTL is not set
-# BR2_PACKAGE_INPUT_TOOLS_EVTEST is not set
-# BR2_BFIN_FDPIC is not set
-# BR2_BFIN_FLAT is not set

+ 0 - 10
dist/publish.sh

@@ -1,10 +0,0 @@
-#!/bin/bash
-
-if [ $# -lt 1 ]; then
-	echo "Usage: $0 tag" >/dev/stderr
-	exit 1
-fi
-
-TAG=$1
-
-docker push quay.io/coreos/flannel:$TAG

+ 9 - 0
license-check.sh

@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+licRes=$(for file in $(find . -type f -iname '*.go' ! -path './vendor/*'); do
+		head -n3 "${file}" | grep -Eq "(Copyright|generated|GENERATED)" || echo -e "  ${file}"
+	done;)
+if [ -n "${licRes}" ]; then
+	echo -e "license header checking failed:\n${licRes}"
+	exit 255
+fi